Page MenuHomePhabricator

Enable codehealth pipeline for the Translate extension
Closed, ResolvedPublic

Description

As per https://phabricator.wikimedia.org/phame/post/view/160/introducing_the_codehealth_pipeline_beta/

  1. Enable the pipeline. Patch: https://gerrit.wikimedia.org/r/c/integration/config/+/516500
  2. Add the SonarQube configuration file - sonar-project.properties. Documentation here, examples here.

Event Timeline

abi_ created this task.Jun 12 2019, 2:50 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2019, 2:50 AM

Change 516500 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[integration/config@master] Codehealth: Add Translate extension to pipeline

https://gerrit.wikimedia.org/r/516500

Change 516500 merged by jenkins-bot:
[integration/config@master] Codehealth: Add Translate extension to pipeline

https://gerrit.wikimedia.org/r/516500

abi_ edited projects, added User-abi_; removed Patch-For-Review.Jun 20 2019, 7:50 AM

Change 518225 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/Translate@master] Add config for codehealth checking

https://gerrit.wikimedia.org/r/518225

abi_ moved this task from Backlog to Under Review on the User-abi_ board.Jun 21 2019, 10:16 AM

Change 518225 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Add config for codehealth checking

https://gerrit.wikimedia.org/r/518225

abi_ closed this task as Resolved.Jun 25 2019, 6:39 AM
abi_ moved this task from Under Review to Done on the User-abi_ board.
abi_ removed a project: Patch-For-Review.

This is working well. See patch - https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Translate/+/518879

Thanks @kostajh for your help.